# Wan 2.2 Animate Video Editing

> Wan 2.2 Animate video editing endpoint.

Canonical URL: https://docs.uniall.ai/models/video/wan-2-6/wan-2-2-animate
Locale: en

## Overview

 supports mode:

- `animate`
 - video action, Input image orsubject
- `replace`
 - Input image orsubject, video subject:

- `animate` "action / action "
- `replace` "video / "

## Endpoint


```http
POST /v1/video/generations
```
## Header Parameters

| Name | Type | Required | Description | Example |
| --- | --- | --- | --- | --- |
| `Authorization` | string | No | | Bearer &#123;your_token&#125; |
## Request Body Parameters

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |
| `model`| string | Yes | Public model name | use `wan2.2-animate-480p` or `wan2.2-animate-720p` |
| `prompt` | string | Yes | prompt | Optional values, recommended style, scenario, camera |
| `image` | string | Yes | reference URL | Recommended \| image \| can onlyone |
| `video` | string | Yes | video URL | Recommended \| actionor video \| can onlya |
| `duration` | string | Yes |, | Required |
| `mode`| string | Yes | mode | allowed values:`animate`, `replace` (Field, not inextra_body pass) |
| `seed` | string | Yes | random seed | random seed, (Field, not inextra_body pass) |
| `extra_body` | object | Yes | | |

## Request Examples

### Example

```json
{
  "model": "string",
  "prompt": "string",
  "image": "string",
  "video": "string",
  "duration": "string",
  "mode": "string",
  "seed": "string",
  "extra_body": {
    "mode": "string",
    "seed": "string"
  }
}
```

```bash
curl -X POST "{BASE_URL}/v1/video/generations" \
 -H "Authorization: Bearer sk-***" \
 -H "Content-Type: application/json" \
 -d '{"model": "string",
 "prompt": "string",
 "image": "string",
 "video": "string",
 "duration": "string",
 "mode": "string",
 "seed": "string",
 "extra_body": {"mode": "string",
 "seed": "string"}}'
```
## Response Fields

| Field | Type | Required | Title | Description |
| --- | --- | --- | --- | --- |


## Response Examples

### Example 1

```json
{}
```
